"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormKitInput = useFormKitInput;
var _config = require("primevue/config");
var _vue = require("vue");
function useFormKitInput(context) {
  const isInvalid = (0, _vue.computed)(() => {
    return context?.state.validationVisible && !context?.state.valid;
  });
  const styleClass = (0, _vue.computed)(() => {
    return context?.state.validationVisible && !context?.state.valid ? `${context?.attrs?.class} p-invalid` : context?.attrs?.class;
  });
  function isGlobalUnstyledMode() {
    let result = false;
    try {
      const primevue = (0, _config.usePrimeVue)();
      result = primevue?.config?.unstyled || false;
    } catch (e) {}
    return result;
  }
  const unstyled = (0, _vue.computed)(() => {
    return context?.unstyled ?? isGlobalUnstyledMode();
  });
  const formKitCreateInputSlots = /* @__PURE__ */new Set(["label", "help", "messages", "message", "input"]);
  const validSlotNames = (0, _vue.computed)(() => Object.keys(context?.slots).filter(slotName => !formKitCreateInputSlots.has(slotName)));
  function handleBlur(event) {
    context?.handlers.blur(event);
  }
  function handleChange(_) {
    context?.node.input(context?._value);
  }
  function handleInput(_) {
    context?.node.input(context?._value);
  }
  function handleSelect(e) {
    context?.node.input(e);
  }
  return {
    isInvalid,
    validSlotNames,
    styleClass,
    unstyled,
    handleBlur,
    handleChange,
    handleInput,
    handleSelect
  };
}